'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  return {
    visitor: {
      /**
       * ImportDeclaration() will resolve the relative paths to the root path.
       * @param {Object} path
       * @param {Object} state
       */

      ImportDeclaration: function ImportDeclaration(_ref, _ref2) {
        var node = _ref.node;
        var file = _ref2.file;
        var opts = _ref2.opts;

        var tilde = '~/';

        if (!node.source.value.startsWith(tilde)) return;

        var rootPath = opts.rootPath || 'src';
        var fromPath = _path2.default.dirname(file.opts.filename);
        var toPath = _path2.default.join(rootPath, node.source.value.substring(tilde.length));

        node.source.value = './' + _path2.default.relative(fromPath, toPath);
      }
    }
  };
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;

/**
 * Babel plugin to replace import paths to relative ones.
 * @return {Object}
 */